
From: Dave Jones <davej@redhat.com>

Signed-off-by: Dave Jones <davej@redhat.com>
Cc: Mikael Starvik <starvik@axis.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 arch/cris/arch-v32/mm/intmem.c |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN arch/cris/arch-v32/mm/intmem.c~cris-update-17-17-new-subarchitecture-v32-swapped-kmalloc-args arch/cris/arch-v32/mm/intmem.c
--- devel/arch/cris/arch-v32/mm/intmem.c~cris-update-17-17-new-subarchitecture-v32-swapped-kmalloc-args	2005-07-08 23:08:49.000000000 -0700
+++ devel-akpm/arch/cris/arch-v32/mm/intmem.c	2005-07-08 23:08:49.000000000 -0700
@@ -28,7 +28,7 @@ static void crisv32_intmem_init(void)
 	static int initiated = 0;
 	if (!initiated) {
 		struct intmem_allocation* alloc =
-		  (struct intmem_allocation*)kmalloc(GFP_KERNEL, sizeof *alloc);
+		  (struct intmem_allocation*)kmalloc(sizeof *alloc, GFP_KERNEL);
 		INIT_LIST_HEAD(&intmem_allocations);
 		intmem_virtual = ioremap(MEM_INTMEM_START, MEM_INTMEM_SIZE);
 		initiated = 1;
@@ -57,7 +57,7 @@ void* crisv32_intmem_alloc(unsigned size
 			if (allocation->size > size + alignment) {
 				struct intmem_allocation* alloc =
 					(struct intmem_allocation*)
-					kmalloc(GFP_ATOMIC, sizeof *alloc);
+					kmalloc(sizeof *alloc, GFP_ATOMIC);
 				alloc->status = STATUS_FREE;
 				alloc->size = allocation->size - size - alignment;
 				alloc->offset = allocation->offset + size;
@@ -66,7 +66,7 @@ void* crisv32_intmem_alloc(unsigned size
 				if (alignment) {
 					struct intmem_allocation* tmp;
 					tmp = (struct intmem_allocation*)
-						kmalloc(GFP_ATOMIC, sizeof *tmp);
+						kmalloc(sizeof *tmp, GFP_ATOMIC);
 					tmp->offset = allocation->offset;
 					tmp->size = alignment;
 					tmp->status = STATUS_FREE;
_
